Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class OperationDO

    java.lang.Object
      org.wso2.wsas.persistence.dataobject.AbstractDataObject
          org.wso2.wsas.persistence.dataobject.OperationDO

public class OperationDO
extends AbstractDataObject

Data object representing an axis operation

Constructor Summary
`OperationDO()`

Method Summary
`void` | `addEngagedModule(ModuleDO module)`
`void` | `addMessage(MessageDO message)`
`void` | `addParameter(OperationParameterDO param)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDocumentation()`
`java.util.Set` | `getEngagedModules()`
`java.util.Set` | `getMessages()`
`java.lang.String` | `getName()`
`java.util.Set` | `getParameters()`
`ServiceDO` | `getService()`
`int` | `hashCode()`
`void` | `setDocumentation(java.lang.String documentation)`
`void` | `setEngagedModules(java.util.Set engagedModules)`
`void` | `setMessages(java.util.Set messages)`
`void` | `setName(java.lang.String name)`
`void` | `setParameters(java.util.Set parameters)`
`void` | `setService(ServiceDO service)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationDO

    public OperationDO()

Method Detail

### getService

    public ServiceDO getService()

### setService

    public void setService(ServiceDO service)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getEngagedModules

    public java.util.Set getEngagedModules()

### setEngagedModules

    public void setEngagedModules(java.util.Set engagedModules)

### getParameters

    public java.util.Set getParameters()

### setParameters

    public void setParameters(java.util.Set parameters)

### getMessages

    public java.util.Set getMessages()

### setMessages

    public void setMessages(java.util.Set messages)

### addEngagedModule

    public void addEngagedModule(ModuleDO module)

### addParameter

    public void addParameter(OperationParameterDO param)

### addMessage

    public void addMessage(MessageDO message)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getDocumentation

    public java.lang.String getDocumentation()

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD